Surveys
Endpoints for Surveys
Endpoints for Surveys
GET/api/v1/surveys
Authentication: Bearer token (JWT)
pagenumberOptional1minimum: 1takenumberOptional10minimum: 1maximum: 50orderBystringOptional"createdAt"Allowed values: "createdAt", "id", "updatedAt"orderDirectionstringOptional"desc"Allowed values: "asc", "desc"statusstringOptional"draft", "published", "paused", "stopped", "archived"searchstringOptionalmaxLength: 255itemsarray of SurveyResponseDtoRequired15 fieldsitemsidstringRequired when parent is presentField path: items[].idnamestringRequired when parent is presentField path: items[].namecurlcurl https://api.subrite.no/api/v1/surveys \
--header 'Authorization: Bearer <token>'POST/api/v1/surveys
Authentication: Bearer token (JWT)
application/jsonnamestringRequiredmaxLength: 255statusstringOptional"draft", "published", "paused", "stopped", "archived"GET/api/v1/surveys/templates
Authentication: Bearer token (JWT)
idstringRequired when parent is presentnamestringRequired when parent is presentGET/api/v1/surveys/{id}
Authentication: Bearer token (JWT)
idstringRequiredSame fields as Create a new draft survey (201).
DELETE/api/v1/surveys/{id}
Authentication: Bearer token (JWT)
idstringRequiredSurvey deleted
This response has no body.
PATCH/api/v1/surveys/{id}
Authentication: Bearer token (JWT)
idstringRequiredapplication/jsonnamestringOptionalmaxLength: 255statusPOST/api/v1/surveys/{id}/copy
Authentication: Bearer token (JWT)
idstringRequiredSame fields as Create a new draft survey (201).
GET/api/v1/surveys/{surveyId}/analytics
Authentication: Bearer token (JWT)
surveyIdstringRequiredtimePeriodstringOptional"all_time"Time period filter for analytics dataAllowed values: "all_time", "last_7_days", "last_30_days"isCompletebooleanOptionalGET/api/v1/surveys/{surveyId}/text-responses
Authentication: Bearer token (JWT)
surveyIdstringRequiredpagenumberOptional1minimum: 1takenumberOptional10minimum: 1maximum: 50orderBystringOptionalGET/api/v1/surveys/{surveyId}/responses
Authentication: Bearer token (JWT)
surveyIdstringRequiredpagenumberOptional1minimum: 1takenumberOptional10minimum: 1maximum: 50orderBystringOptional"createdAt"POST/api/v1/surveys/{surveyId}/responses
surveyIdstringRequiredx-survey-sessionstring (uuid)Optionalapplication/jsonGET/api/v1/surveys/{surveyId}/responses/{id}
Authentication: Bearer token (JWT)
surveyIdstringRequiredidstringRequiredPATCH/api/v1/surveys/{surveyId}/responses/{id}
surveyIdstringRequiredidstringRequiredx-survey-sessionstring (uuid)Optionalapplication/jsonGET/api/v1/surveys/{id}/form
idstringRequiredstatusstringRequired when parent is presentField path: items[].status"draft", "published", "paused", "stopped", "archived"formJsonobjectField path: items[].formJsonthemeJsonobjectField path: items[].themeJsoncompletionJsonobjectField path: items[].completionJsonstartDatestring (date-time)Field path: items[].startDateendDatestring (date-time)Field path: items[].endDatepublishedAtstring (date-time)Field path: items[].publishedAtstoppedAtstring (date-time)Field path: items[].stoppedAtcreatedAtstring (date-time)Required when parent is presentField path: items[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: items[].updatedAtcreatedByUserIdnumberField path: items[].createdByUserIdupdatedByUserIdnumberField path: items[].updatedByUserIdresponseCountnumberRequired when parent is presentField path: items[].responseCountmetaPageMetaRequired6 fieldsmetapagenumberRequiredField path: meta.pagetakenumberRequiredField path: meta.takecountnumberRequiredField path: meta.countpageCountnumberRequiredField path: meta.pageCounthasPreviousPagebooleanRequiredField path: meta.hasPreviousPagehasNextPagebooleanRequiredField path: meta.hasNextPage{
"items": [
{
"formJson": {},
"themeJson": {},
"completionJson": {}
}
],
"meta": {
"page": 0,
"take": 0,
"count": 0,
"pageCount": 0,
"hasPreviousPage": true,
"hasNextPage": true
}
}unauthorized
This response has no body.
formJsonobjectOptionalthemeJsonobjectOptionalstartDatestringOptionalendDatestringOptionalcompletionJsonobjectOptional{
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"startDate": "string",
"endDate": "string",
"completionJson": {}
}idstringRequirednamestringRequiredstatusstringRequired"draft", "published", "paused", "stopped", "archived"formJsonobjectthemeJsonobjectcompletionJsonobjectstartDatestring (date-time)endDatestring (date-time)publishedAtstring (date-time)stoppedAtstring (date-time)createdAtstring (date-time)RequiredupdatedAtstring (date-time)RequiredcreatedByUserIdnumberupdatedByUserIdnumberresponseCountnumberRequired{
"id": "string",
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"completionJson": {},
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"publishedAt": "2019-08-24T14:15:22Z",
"stoppedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"createdByUserId": 0,
"updatedByUserId": 0,
"responseCount": 0
}surveyInvalidCreateStatus | surveyFormJsonRequired | surveyFormJsonMissingQuestions | surveyEndDateMustBeFuture | surveyEndDateBeforeStartDate
messageCodestringRequired"surveyInvalidCreateStatus"messagestringerrorsarray of FieldErrorRequired7 fieldsunauthorized
This response has no body.
surveyNameAlreadyExists
messageCodestringRequired"surveyNameAlreadyExists"messagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/surveys \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"startDate": "string",
"endDate": "string",
"completionJson": {}
}'descriptionstringformJsonobjectRequired when parent is presentmetaDataobjectcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is present[
{
"id": "string",
"name": "string",
"description": "string",
"formJson": {},
"metaData": {},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]unauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/surveys/templates \
--header 'Authorization: Bearer <token>'SurveyResponseDto{
"id": "string",
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"completionJson": {},
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"publishedAt": "2019-08-24T14:15:22Z",
"stoppedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"createdByUserId": 0,
"updatedByUserId": 0,
"responseCount": 0
}unauthorized
This response has no body.
surveyNotFound
messageCodestringRequired"surveyNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{id}' \
--header 'Authorization: Bearer <token>'application/jsonsurveyOnlyDraftStoppedOrArchivedCanBeDeleted
messageCodestringRequired"surveyOnlyDraftStoppedOrArchivedCanBeDeleted"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyOnlyDraftStoppedOrArchivedCanBeDeleted",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
surveyNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'string"draft", "published", "paused", "stopped", "archived"formJsonobjectOptionalthemeJsonobjectOptionalstartDatestringOptionalendDatestringOptionalcompletionJsonobjectOptional{
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"startDate": "string",
"endDate": "string",
"completionJson": {}
}Same fields as Create a new draft survey (201).
{
"id": "string",
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"completionJson": {},
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"publishedAt": "2019-08-24T14:15:22Z",
"stoppedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"createdByUserId": 0,
"updatedByUserId": 0,
"responseCount": 0
}surveyArchivedCannotBeEdited | surveyPublishedFormCannotBeEdited | surveyPublishedDatesCannotBeEdited | surveyInvalidStatusTransition | surveyFormJsonRequired | surveyFormJsonMissingQuestions | surveyEndDateMustBeFuture | surveyEndDateBeforeStartDate
messageCodestringRequired"surveyArchivedCannotBeEdited"messagestringunauthorized
This response has no body.
surveyNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}surveyNameAlreadyExists
Same fields as Create a new draft survey (409).
{
"messageCode": "surveyNameAlreadyExists",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{id}' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"startDate": "string",
"endDate": "string",
"completionJson": {}
}'SurveyResponseDto{
"id": "string",
"name": "string",
"status": "draft",
"formJson": {},
"themeJson": {},
"completionJson": {},
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"publishedAt": "2019-08-24T14:15:22Z",
"stoppedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"createdByUserId": 0,
"updatedByUserId": 0,
"responseCount": 0
}unauthorized
This response has no body.
surveyNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}surveyNameAlreadyExists
Same fields as Create a new draft survey (409).
{
"messageCode": "surveyNameAlreadyExists",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{id}/copy' \
--request POST \
--header 'Authorization: Bearer <token>'application/jsonsummaryAnalyticsSummaryDtoRequired4 fieldssummarytotalResponsesnumberRequiredField path: summary.totalResponsescompletednumberRequiredField path: summary.completedincompletenumberRequiredField path: summary.incompletecompletionRatenumberRequiredField path: summary.completionRatequestionsarray of QuestionAnalyticsItemDtoRequired13 fieldsquestionsnamestringRequired when parent is presentField path: questions[].nametypestringRequired when parent is presentField path: questions[].typetitlestringRequired when parent is presentField path: questions[].titlechoicesarray of stringRequired when parent is presentField path: questions[].choicespositionnumberRequired when parent is presentField path: questions[].position{
"summary": {
"totalResponses": 0,
"completed": 0,
"incomplete": 0,
"completionRate": 0
},
"questions": [
{
"choices": [],
"rows": [],
"columns": [],
"distribution": [],
"textResponses": []
}
]
}unauthorized
This response has no body.
surveyNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{surveyId}/analytics' \
--header 'Authorization: Bearer <token>'"createdAt""createdAt", "id", "updatedAt"orderDirectionstringOptional"desc"Allowed values: "asc", "desc"questionNamestringRequiredmaxLength: 255timePeriodstringOptional"all_time"Time period filterAllowed values: "all_time", "last_7_days", "last_30_days"isCompletebooleanOptionalitemsarray of TextResponseDtoRequired3 fieldsitemsidstringRequired when parent is presentField path: items[].idtextstringRequired when parent is presentField path: items[].textsubmittedAtstringRequired when parent is presentField path: items[].submittedAtmetaPageMetaRequired6 fieldsmetapagenumberRequiredField path: meta.pagetakenumberRequiredField path: meta.takecountnumberRequiredField path: meta.countpageCountnumberRequiredField path: meta.pageCounthasPreviousPagebooleanRequiredField path: meta.hasPreviousPagehasNextPagebooleanRequiredField path: meta.hasNextPage{
"items": [
{}
],
"meta": {
"page": 0,
"take": 0,
"count": 0,
"pageCount": 0,
"hasPreviousPage": true,
"hasNextPage": true
}
}unauthorized
This response has no body.
surveyNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{surveyId}/text-responses?questionName=%3CquestionName%3E' \
--header 'Authorization: Bearer <token>'"createdAt", "id", "updatedAt"orderDirectionstringOptional"desc"Allowed values: "asc", "desc"isCompletebooleanOptionalcreatedAfterstringOptionalitemsarray of SurveyResponseItemDtoRequired9 fieldsitemsidstringRequired when parent is presentField path: items[].idanswersobjectRequired when parent is presentField path: items[].answersisCompletebooleanRequired when parent is presentField path: items[].isCompletecompletedAtstring (date-time)Field path: items[].completedAtprogressobjectField path: items[].progresssurveyIdstringRequired when parent is presentField path: items[].surveyIduserIdnumberField path: items[].userIdcreatedAtstring (date-time)Required when parent is presentField path: items[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: items[].updatedAtmetaPageMetaRequired6 fieldsmetapagenumberRequiredField path: meta.pagetakenumberRequiredField path: meta.takecountnumberRequiredField path: meta.countpageCountnumberRequiredField path: meta.pageCounthasPreviousPagebooleanRequiredField path: meta.hasPreviousPagehasNextPagebooleanRequiredField path: meta.hasNextPage{
"items": [
{
"answers": {},
"progress": {}
}
],
"meta": {
"page": 0,
"take": 0,
"count": 0,
"pageCount": 0,
"hasPreviousPage": true,
"hasNextPage": true
}
}unauthorized
This response has no body.
surveyNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{surveyId}/responses' \
--header 'Authorization: Bearer <token>'answersobjectRequiredisCompletebooleanOptionalprogressobjectOptional{
"answers": {},
"isComplete": true,
"progress": {}
}idstringRequiredanswersobjectRequiredisCompletebooleanRequiredcompletedAtstring (date-time)progressobjectsurveyIdstringRequireduserIdnumbercreatedAtstring (date-time)RequiredupdatedAtstring (date-time)Required{
"id": "string",
"answers": {},
"isComplete": true,
"completedAt": "2019-08-24T14:15:22Z",
"progress": {},
"surveyId": "string",
"userId": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}surveyNotAcceptingResponses | surveyAuthRequired
messageCodestringRequired"surveyNotAcceptingResponses"messagestringsurveyAlreadySubmitted
messageCodestringRequired"surveyAlreadySubmitted"messagestringsurveyRateLimitExceeded | surveyFloodLimitExceeded
messageCodestringRequired"surveyRateLimitExceeded"messagestringsurveySubmissionTemporarilyUnavailable
messageCodestringRequired"surveySubmissionTemporarilyUnavailable"messagestringcurlcurl 'https://api.subrite.no/api/v1/surveys/{surveyId}/responses' \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"answers": {},
"isComplete": true,
"progress": {}
}'Same fields as Submit a new survey response (public) (201).
{
"id": "string",
"answers": {},
"isComplete": true,
"completedAt": "2019-08-24T14:15:22Z",
"progress": {},
"surveyId": "string",
"userId": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}unauthorized
This response has no body.
surveyNotFound | surveyResponseNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{surveyId}/responses/{id}' \
--header 'Authorization: Bearer <token>'UpdateSurveyResponseDtoanswersobjectOptionalisCompletebooleanOptionalprogressobjectOptional{
"answers": {},
"isComplete": true,
"progress": {}
}Same fields as Submit a new survey response (public) (201).
{
"id": "string",
"answers": {},
"isComplete": true,
"completedAt": "2019-08-24T14:15:22Z",
"progress": {},
"surveyId": "string",
"userId": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}surveyNotAcceptingResponses | surveyResponseAlreadyCompleted
Same fields as Submit a new survey response (public) (400).
surveyNotFound | surveyResponseNotFound
Same fields as Get a single survey by ID (404).
surveyAlreadySubmitted
Same fields as Submit a new survey response (public) (409).
surveyFloodLimitExceeded
messageCodestringRequired"surveyFloodLimitExceeded"messagestringsurveySubmissionTemporarilyUnavailable
Same fields as Submit a new survey response (public) (503).
curlcurl 'https://api.subrite.no/api/v1/surveys/{surveyId}/responses/{id}' \
--request PATCH \
--header 'Content-Type: application/json' \
--data '{
"answers": {},
"isComplete": true,
"progress": {}
}'idstringRequirednamestringRequiredformJsonobjectthemeJsonobjectcompletionJsonobject{
"id": "string",
"name": "string",
"formJson": {},
"themeJson": {},
"completionJson": {}
}surveyNotFound
Same fields as Get a single survey by ID (404).
{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/surveys/{id}/form'errorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyInvalidCreateStatus",
"message": "string",
"errors": [
{}
]
}fieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyNameAlreadyExists",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequirederrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyArchivedCannotBeEdited",
"message": "string",
"errors": [
{}
]
}totalQuestionsnumberRequired when parent is presentrateMinnumberField path: questions[].rateMinrateMaxnumberField path: questions[].rateMaxrowsarray of stringField path: questions[].rowscolumnsarray of stringField path: questions[].columnstotalResponsesnumberRequired when parent is presentField path: questions[].totalResponsesdistributionarray of QuestionDistributionDtoRequired when parent is presentField path: questions[].distribution2 fieldsquestions[].distributionlabelstringRequired when parent is presentField path: questions[].distribution[].labelcountnumberRequired when parent is presentField path: questions[].distribution[].counttextResponsesarray of TextResponseDtoField path: questions[].textResponses3 fieldsquestions[].textResponsesidstringRequired when parent is presentField path: questions[].textResponses[].idtextstringRequired when parent is presentField path: questions[].textResponses[].textsubmittedAtstringRequired when parent is presentField path: questions[].textResponses[].submittedAterrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyNotAcceptingResponses",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequirederrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyAlreadySubmitted",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyRateLimitExceeded",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveySubmissionTemporarilyUnavailable",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "surveyNotAcceptingResponses",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "surveyNotFound",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "surveyAlreadySubmitted",
"message": "string",
"errors": [
{}
]
}errorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "surveyFloodLimitExceeded",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "surveySubmissionTemporarilyUnavailable",
"message": "string",
"errors": [
{}
]
}